Subject: [PATCHv2 net-next 0/5] sctp: add support for generating stream reconf chunks

From: Xin Long <[email-masked]>
Date: Sat, 7 Jan 2017 17:42:57 +0800

This patchset is to add some functions to generate stream reconf chunks,
described in RFC6525 Section 3 and Section 4.

v1->v2:
  - put these into a smaller group.
  - rename some temporary variables in the codes.
  - rename the titles of the commits and improve some changelogs.

Xin Long (5):
  sctp: add a common helper function to generate stream reconf chunk
  sctp: add support for generating stream reconf ssn reset request chunk
  sctp: add support for generating stream reconf ssn/tsn reset request
    chunk
  sctp: add support for generating stream reconf response chunk
  sctp: add support for generating stream reconf add streams request
    chunk

 include/linux/sctp.h       |  68 ++++++++++++
 include/net/sctp/sm.h      |  17 ++-
 include/net/sctp/structs.h |   3 +
 net/sctp/associola.c       |   1 +
 net/sctp/sm_make_chunk.c   | 270 +++++++++++++++++++++++++++++++++++++++++++++
 5 files changed, 358 insertions(+), 1 deletion(-)

-- 
2.1.0